Page MenuHomePhabricator

Remove monthly run of updateArticleCount.php
Closed, ResolvedPublic

Description

We now have initSiteStats.php running on all wikis on 1st and 15th of each month (T59788), which means we no longer need to run updateArticleCount.php (T68867: Made it run on the 28th of each month on a subset of wikis).

initSiteStats.php recounts all statistics, including article count. updateArticleCount.php only recounts the article count. So these are redundant.

The removal of this cron should happen not before 15th April, so that we have seen at least one good run of initSiteStats.php before removing updateArticleCount.php (to not end up in a state where the one is reverted and the other is already deleted).

Event Timeline

Change 425967 had a related patch set uploaded (by EddieGP; owner: EddieGP):
[operations/puppet@production] mediawiki: Disable updateArticleCount cron

https://gerrit.wikimedia.org/r/425967

Change 425968 had a related patch set uploaded (by EddieGP; owner: EddieGP):
[operations/puppet@production] mediawiki: Remove updateArticleCount cron

https://gerrit.wikimedia.org/r/425968

@Krinkle @demon Per your comments on the child task, could you review the above patch (the 'disable' one is the first)? It's just removing the now redundant cron for updateArticleCount.php.

Krinkle triaged this task as Normal priority.Apr 18 2018, 1:18 AM
Krinkle renamed this task from Kill monthly run of updateArticleCount.php to Remove monthly run of updateArticleCount.php.Apr 18 2018, 1:28 AM
Krinkle updated the task description. (Show Details)
Krinkle added a project: Operations.

Change 425967 merged by Elukey:
[operations/puppet@production] mediawiki: Disable updateArticleCount cron

https://gerrit.wikimedia.org/r/425967

Krinkle removed a subscriber: Krinkle.Apr 28 2018, 12:37 AM

Change 425968 merged by Gehel:
[operations/puppet@production] mediawiki: Remove updateArticleCount cron

https://gerrit.wikimedia.org/r/425968

EddieGP closed this task as Resolved.May 1 2018, 4:37 PM

All cleanup done :-)